From 082d298d8cccab0c1d370b898e5dd57baee7549b Mon Sep 17 00:00:00 2001
From: skrzepto <shims506@gmail.com>
Date: Jul 21 2016 21:03:21 +0000
Subject: [PATCH 569/1001] adding tests for library widget


---

diff --git a/hubs/tests/test_widgets/__init__.py b/hubs/tests/test_widgets/__init__.py
index b0b7d64..9b9ac69 100644
--- a/hubs/tests/test_widgets/__init__.py
+++ b/hubs/tests/test_widgets/__init__.py
@@ -48,6 +48,14 @@ class WidgetTest(unittest.TestCase):
             index=500,
             _config=json.dumps({"text": "Testing."}),
         )
+
+        hub.widgets.append(widget)
+
+        widget = hubs.models.Widget(
+            plugin='library',
+            index=51,
+            _config=json.dumps({"urls": "ralph/"})  # we must add a url or itll crash
+        )
         hub.widgets.append(widget)
 
         for team in ['i18n', 'infra', 'old']:
diff --git a/hubs/tests/test_widgets/test_library.py b/hubs/tests/test_widgets/test_library.py
new file mode 100644
index 0000000..ba558b1
--- /dev/null
+++ b/hubs/tests/test_widgets/test_library.py
@@ -0,0 +1,35 @@
+import json
+
+import hubs.tests.test_widgets
+import hubs.models
+
+class TestLibrary(hubs.tests.test_widgets.WidgetTest):
+    plugin = 'library'  # The name in hubs.widgets.registry
+
+    def test_data_simple(self):
+        widget = self.widget_instance('ralph', self.plugin)
+        response = self.app.get('/ralph/%i/json/' % widget.idx)
+        self.assertEqual(response.status_code, 200)
+        data = json.loads(response.data)
+        # del data['data']['widget_url']
+        expected_dict = {
+            "config": {
+                "urls": "ralph/"
+            },
+            "data": {
+                "edit_url": "/ralph/52/edit",
+                "source_url": "/source/library",
+                "urls": [
+                    "<a href=\"ralph/\">ralph/</a>"
+                ],
+                "widget_url": "/ralph/52"
+            },
+            "description": None,
+            "hub": "ralph",
+            "id": 52,
+            "index": 51,
+            "left": False,
+            "plugin": "library"
+        }
+
+        self.assertDictEqual(data['data'], expected_dict['data'])

